package com.steerinfo.meterwork.meterworkdatacount.model;

import java.math.BigDecimal;
import java.util.Date;

public class HookTareWeightAndTheoryAmount {
    private String actualNo;
    private String railwayNo;
    private String predictionNo;
    private String matterNo;
    private String matterName;
    private BigDecimal grossWeight;
    private BigDecimal tareWeight;
    private BigDecimal netWeight;
    private BigDecimal theoryAmount;
    private BigDecimal tareSubTheoryAmount;
    private String senderRemark;
    private String forwardingUnitName;
    private String receivingUintName;
    private Date grossTime;
    private String baseSpot1Name;
    private Date tareTime;
    private String baseSpot2Name;
    private Date netTime;
    private String netSpot3Name;
    private String netManName;
    private String note;
    private String checkManNo;
    private String checkManName;
    private Date checkTime;
    private String memo;

    public String getActualNo() {
        return actualNo;
    }

    public void setActualNo(String actualNo) {
        this.actualNo = actualNo;
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo;
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo;
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public BigDecimal getGrossWeight() {
        return grossWeight;
    }

    public void setGrossWeight(BigDecimal grossWeight) {
        this.grossWeight = grossWeight;
    }

    public BigDecimal getTareWeight() {
        return tareWeight;
    }

    public void setTareWeight(BigDecimal tareWeight) {
        this.tareWeight = tareWeight;
    }

    public BigDecimal getNetWeight() {
        return netWeight;
    }

    public void setNetWeight(BigDecimal netWeight) {
        this.netWeight = netWeight;
    }

    public BigDecimal getTheoryAmount() {
        return theoryAmount;
    }

    public void setTheoryAmount(BigDecimal theoryAmount) {
        this.theoryAmount = theoryAmount;
    }

    public BigDecimal getTareSubTheoryAmount() {
        return tareSubTheoryAmount;
    }

    public void setTareSubTheoryAmount(BigDecimal tareSubTheoryAmount) {
        this.tareSubTheoryAmount = tareSubTheoryAmount;
    }

    public String getSenderRemark() {
        return senderRemark;
    }

    public void setSenderRemark(String senderRemark) {
        this.senderRemark = senderRemark;
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName;
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName;
    }

    public Date getGrossTime() {
        return grossTime;
    }

    public void setGrossTime(Date grossTime) {
        this.grossTime = grossTime;
    }

    public String getBaseSpot1Name() {
        return baseSpot1Name;
    }

    public void setBaseSpot1Name(String baseSpot1Name) {
        this.baseSpot1Name = baseSpot1Name;
    }

    public Date getTareTime() {
        return tareTime;
    }

    public void setTareTime(Date tareTime) {
        this.tareTime = tareTime;
    }

    public String getBaseSpot2Name() {
        return baseSpot2Name;
    }

    public void setBaseSpot2Name(String baseSpot2Name) {
        this.baseSpot2Name = baseSpot2Name;
    }

    public Date getNetTime() {
        return netTime;
    }

    public void setNetTime(Date netTime) {
        this.netTime = netTime;
    }

    public String getNetSpot3Name() {
        return netSpot3Name;
    }

    public void setNetSpot3Name(String netSpot3Name) {
        this.netSpot3Name = netSpot3Name;
    }

    public String getNetManName() {
        return netManName;
    }

    public void setNetManName(String netManName) {
        this.netManName = netManName;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCheckManNo() {
        return checkManNo;
    }

    public void setCheckManNo(String checkManNo) {
        this.checkManNo = checkManNo;
    }

    public String getCheckManName() {
        return checkManName;
    }

    public void setCheckManName(String checkManName) {
        this.checkManName = checkManName;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}
